lock package in autoYast

FredericFrederic New or Quiet Member

Hello
I have a few servers installed with SLES12SP3, on which custom versions of postgresql (version 10.5-1PGDG.sles12) are installed.
I can upgrade them through an autoyast to SLES12SP5 but I can't prevent the update of these postgresql packages.
Following the autoyast documentation, I added an entry for ZYPP_LOCKFILE_ROOT in sys_config part for using zypper in pre-scripts part :
<sysconfig config:type="list" >
<sysconfig_entry>
<sysconfig_key>ZYPP_LOCKFILE_ROOT</sysconfig_key>
<sysconfig_path>/var/run/autoyast</sysconfig_path>
</sysconfig_entry>
</sysconfig>

I just created a simple script in pre-scripts part with a > zypper al postgresql* command but it doesn't work : postgresql packages are also updated.
I made a manual test : before applying the upgrade through autoyast, I simply start the server and apply the zypper al postgresql*, to add the lock on these packages. The upgrade works well and custom packages for postgresql are still installed on server.
How can I report this lock into the autoyast file ?

Sign In or Register to comment.